Package org.pentaho.reporting.libraries.formula

## Class DefaultLocalizationContext

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.DefaultLocalizationContext

- All Implemented Interfaces:
    `java.io.Serializable`, `LocalizationContext`

      public class DefaultLocalizationContext
      extends java.lang.Object
      implements LocalizationContext, java.io.Serializable

  Creation-Date: 03.11.2006, 14:28:12
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultLocalizationContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.ResourceBundle` | `getBundle​(java.lang.String id)` |
    `java.util.List` | `getDateFormats​(Type type)` |
    `java.util.Locale` | `getLocale()` |
    `java.util.TimeZone` | `getTimeZone()` |
    `void` | `initialize​(Configuration config)` |
    `void` | `initialize​(Configuration config, java.util.Locale locale, java.util.TimeZone timeZone)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLocalizationContext

          public DefaultLocalizationContext()

  - ### Method Detail

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `LocalizationContext`

    - #### getBundle

          public java.util.ResourceBundle getBundle​(java.lang.String id)

      Specified by:
        `getBundle` in interface `LocalizationContext`

    - #### getTimeZone

          public java.util.TimeZone getTimeZone()

      Specified by:
        `getTimeZone` in interface `LocalizationContext`

    - #### getDateFormats

          public java.util.List getDateFormats​(Type type)

      Specified by:
        `getDateFormats` in interface `LocalizationContext`

    - #### initialize

          public void initialize​(Configuration config)

    - #### initialize

          public void initialize​(Configuration config,
                                 java.util.Locale locale,
                                 java.util.TimeZone timeZone)